Bug 1201983 - (CVE-2021-33467) VUL-1: CVE-2021-33467: yasm: use-after-free in pp_getline() in modules/preprocs/nasm/nasm-pp.c.
(CVE-2021-33467)
VUL-1: CVE-2021-33467: yasm: use-after-free in pp_getline() in modules/prepro...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Michael Vetter
Security Team bot
https://smash.suse.de/issue/338221/
CVSSv3.1:SUSE:CVE-2021-33467:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-29 13:28 UTC by Carlos López
Modified: 2022-07-29 14:15 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-07-29 13:28:38 UTC
CVE-2021-33467

An issue was discovered in yasm version 1.3.0. There is a use-after-free in
pp_getline() in modules/preprocs/nasm/nasm-pp.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-33467
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-33467
https://github.com/yasm/yasm/issues/163
https://gist.github.com/Clingto/bb632c0c463f4b2c97e4f65f751c5e6d